#include <bits/stdc++.h>

using namespace std;

int main() {
	int n, m1;
	cin >> n >> m1;
	vector <int> a(m1);
	map <int, int> m;
	set <int> s;
	for(int i = 0; i < m1; i++){
		cin >> a[i];
		m[a[i]]++;
		s.insert(a[i]);
	}
	vector <int> ans;
	for(auto now:s){
		if(m[now] >= n){
			ans.push_back(now);
		}
	}
	cout << ans.size() << endl;
	for(int i = 0; i < ans.size(); i++) cout << ans[i] << " ";
}

